Verified Commit fc12cd67 authored by Romain Maliach-Auguste's avatar Romain Maliach-Auguste 🌵
Browse files

make curl silent

parent e88fc05c
......@@ -6,8 +6,8 @@ if [ $retries == 0 ] ; then >&2 echo "Failed to find APIKEY file (at $APIKEY_PAT
let retries=$QUERY_API_RETRIES
retry_delay=$QUERY_API_DELAY_BETWEEN_RETRIES_SECONDS
curl $URL
while [ $? -ne 0 ] && [ $retries -gt 0 ]; do >&2 echo "Could not contact the server at $URL. We'll trying again $retries more time(s), after having slept $retry_delay seconds."; sleep $retry_delay; let retries--; curl $URL ; done
curl -s $URL > /dev/null
while [ $? -ne 0 ] && [ $retries -gt 0 ]; do >&2 echo "Could not contact the server at $URL. We'll trying again $retries more time(s), after having slept $retry_delay seconds."; sleep $retry_delay; let retries--; curl -s $URL > /dev/null ; done
if [ $retries == 0 ] ; then >&2 echo "Failed to contact the server (at $URL ), aborting."; exit 1; fi
CF=/etc/delete_after_delay.yml
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment